- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDAssetContributor Class Reference
[COLLADA Document Object Model.]

A COLLADA asset contributor. More...

`#include <FCDAsset.h>`

Inheritance diagram for FCDAssetContributor:

List of all members.

## Public Member Functions
| FCDAssetContributor (FCDocument *document)
| Constructor.
virtual | ~FCDAssetContributor ()
| Destructor.
const fstring & | GetAuthor () const
| Retrieves the name of the user that applied this contributor.
void | SetAuthor (const fstring &_author)
| Sets the name of the user that applies the current contributor.
const fstring & | GetAuthoringTool () const
| Retrieves the name of the contributor.
void | SetAuthoringTool (const fstring &_authoringTool)
| Sets the name of the current contributor.
const fstring & | GetComments () const
| Retrieves the contributor's comment about the asset.
void | SetComments (const fstring &_comments)
| Sets the contributor's comment about the asset.
const fstring & | GetCopyright () const
| Retrieves the copyright information for the asset.
void | SetCopyright (const fstring &_copyright)
| Sets the copyright information for the asset.
const fstring & | GetSourceData () const
| Retrieves the URI of the source data used by the contributor to generate the COLLADA asset.
void | SetSourceData (const fstring &_sourceData)
| Sets the URI of the source data used by the contributor to generate the COLLADA asset.
bool | IsEmpty () const
| Retrieves whether this contributor structure has any useful information.
FCDAssetContributor * | Clone (FCDAssetContributor *clone=NULL) const
| Clones a contributor structure.

## Detailed Description

A COLLADA asset contributor.

The asset contributor represent each step that the COLLADA document has taken, in terms of applications and conditioners, in order to get to its current state.

Every COLLADA application and conditioner that modifies an asset should therefore attach its signature, in the form of a contributor, to the asset.

## Constructor & Destructor Documentation

FCDAssetContributor::FCDAssetContributor | ( | FCDocument * | document | ) |

  | Constructor. Parameters:
  | document | The COLLADA document that owns the contributor.

## Member Function Documentation

FCDAssetContributor* FCDAssetContributor::Clone | ( | FCDAssetContributor * | clone = `NULL` | ) | const

  | Clones a contributor structure. Parameters:
  | clone | The contributor structure that will become the copy of this contributor structure. When this pointer is NULL, a new contributor structure is created.
Returns: The clone.

const fstring& FCDAssetContributor::GetAuthor | ( |  | ) | const`[inline]`

| Retrieves the name of the user that applied this contributor. Returns: The name of the user.

const fstring& FCDAssetContributor::GetAuthoringTool | ( |  | ) | const`[inline]`

| Retrieves the name of the contributor. Returns: The name of the contributor.

const fstring& FCDAssetContributor::GetComments | ( |  | ) | const`[inline]`

| Retrieves the contributor's comment about the asset. Returns: The contributor comments.

const fstring& FCDAssetContributor::GetCopyright | ( |  | ) | const`[inline]`

| Retrieves the copyright information for the asset. Returns: The user copyright information for the asset.

const fstring& FCDAssetContributor::GetSourceData | ( |  | ) | const`[inline]`

| Retrieves the URI of the source data used by the contributor to generate the COLLADA asset. Returns: The URI of the source data.

bool FCDAssetContributor::IsEmpty | ( |  | ) | const

| Retrieves whether this contributor structure has any useful information. Returns: The validity of the contributor structure.

void FCDAssetContributor::SetAuthor | ( | const fstring & | _author | ) | `[inline]`

  | Sets the name of the user that applies the current contributor. It is suggested to use the following code snippet: const char* userName = getenv("USER"); if (userName == NULL) userName = getenv("USERNAME"); if (userName != NULL) contributor->SetAuthor(TO_FSTRING(userName)); Parameters:
  | _author | The name of the user.

void FCDAssetContributor::SetAuthoringTool | ( | const fstring & | _authoringTool | ) | `[inline]`

  | Sets the name of the current contributor. It is suggested that the version number of the contributor be included. Parameters:
  | _authoringTool | The name of the contributor.

void FCDAssetContributor::SetComments | ( | const fstring & | _comments | ) | `[inline]`

  | Sets the contributor's comment about the asset. For document-level assets, it is suggested, for debugging purposes, to write down all the user-selected export options instead of actual user text input. Parameters:
  | _comments | The contributor's comment.

void FCDAssetContributor::SetCopyright | ( | const fstring & | _copyright | ) | `[inline]`

  | Sets the copyright information for the asset. Parameters:
  | _copyright | The user copyright information for the asset.

void FCDAssetContributor::SetSourceData | ( | const fstring & | _sourceData | ) | `[inline]`

  | Sets the URI of the source data used by the contributor to generate the COLLADA asset. Parameters:
  | _sourceData | The URI of the source data.

The documentation for this class was generated from the following file:

- FCDocument/FCDAsset.h